#!/bin/sh
#
# $FreeBSD$
#

# PROVIDE: hoststated
# REQUIRE: LOGIN abi
# BEFORE:  securelevel
# KEYWORD: shutdown

# Add the following line to /etc/rc.conf to enable `hoststated':
#
# hoststated_enable="YES"
#
# See hoststated(8) for hoststated_flags
#

. "%%RC_SUBR%%"

name="hoststated"
rcvar=`set_rcvar`

extra_commands="reload"
command="%%PREFIX%%/sbin/hoststated"
required_files="%%PREFIX%%/etc/hoststated.conf"

load_rc_config "$name"
: ${hoststated_enable="NO"}
: ${hoststated_flags=""}

run_rc_command "$1"
